classdef hhpkg_passive < hhpkg_base
methods (Static)

%-----------------------------------------------------------------------------------------------------------------------

function p = CNSProps

p.abstract = true;

p.synType = 'base';

end

%-----------------------------------------------------------------------------------------------------------------------

function f = CNSFields

f.C_m = {'lp', 'private'}; % Total membrane capacitance (uF).
f.g_L = {'lp', 'private'}; % Leak conductance (uS).
f.E_L = {'lp', 'private'}; % Leak reversal potential (mV).

f.tIon  = {'cc', 'private', 'int', 'dflt', cns_intmax}; % Injected current start time (steps).
f.tIoff = {'cc', 'private', 'int', 'dflt', cns_intmax}; % Injected current end time (steps).
f.Iinj  = {'cc', 'private', 'dflt', 0};                 % Injected current (nA).

f.G = {'sc'}; % Synaptic conductance (uS).

f.r = {'sv', 'dflt', 0}; % Synaptic activation (dimensionless).

end

%-----------------------------------------------------------------------------------------------------------------------

end
end